#include <bits/stdc++.h>
#define all(a) (a).begin(),(a).end()

using namespace std;
typedef long long ll;

int main()
{
    ios_base::sync_with_stdio(false);
    ll n, r=0; cin >> n;
    vector<ll> a(n), b(n);
    for(int i=0;i<n;i++)
        cin >> a[i] >> b[i];
    sort(all(a)); sort(all(b));
    for(ll i=0;i<n;i++)
        r+=abs(a[i]-i-1)+abs(b[i]-i-1);
    cout << r << endl;
    return 0;
}